Bug 176639 - Firefox crashes when clickung on "google language tools" and utf-8 pages
Firefox crashes when clickung on "google language tools" and utf-8 pages
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-28 04:59 EST by Marcus Hartig
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-09 04:04:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marcus Hartig 2005-12-28 04:59:30 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8) Gecko/20051216 Fedora/1.5-3 Firefox/1.5

Description of problem:
My native language is German with "de_DE.UTF-8" settings. My Fonts are the Bitsream Vera ones, also under KDE and firefox is in English installed, no addons/extensions, only the newest flashplugin and java plugin.

When I visit some webpages with a utf-8 encoding or also eg: http://www.google.de/language_tools?hl=de
firefox crashes with no error message in the console and /tmp/xses-user.* , when pressing this link above. Only with strace I get some warnings about:

open("/home/marcus/.mozilla/firefox/init.d/", O_RDONLY|O_NONBLOCK|O_LARGEFILE|O_DIRECTORY) = -1 ENOENT (No such file or directory)
...
access("/usr/lib/firefox-1.5/init.d/S*", X_OK) = -1 ENOENT (No such file or directory)
...
access("/home/marcus/.mozilla/firefox/init.d/S*", X_OK) = -1 ENOENT (No such file or directory)

The same happens also, when I run opencms and want to see the ocms utf-8 demos, the others are running.

Version-Release number of selected component (if applicable):
firefox-1.5-3

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  

Additional info:
Comment 1 Marcus Hartig 2006-01-09 04:05:52 EST
The locales here where false linked in /usr/share/locale/C

Note You need to log in before you can comment on or make changes to this bug.